Intel 471 Watcher Alerts 로그 수집
이 문서에서는 Google Cloud Storage V2를 사용하여 Intel 471 Watcher Alerts 로그를 Google Security Operations에 수집하는 방법을 설명합니다.
Intel 471은 지하 경제에서 수집한 공격자 및 멀웨어 인텔리전스를 제공하는 사이버 위협 인텔리전스 회사입니다. Watcher Alerts는 고객이 정의한 Watcher 기준과 일치하는 새 콘텐츠가 감지될 때 Intel 471의 Titan 플랫폼에서 생성되는 알림으로, 공격자 활동, 포럼 게시물, 멀웨어 인텔리전스와 같은 관련 위협을 적시에 파악할 수 있습니다.
시작하기 전에
다음 기본 요건을 충족하는지 확인합니다.
- Google SecOps 인스턴스
- Cloud Storage API가 사용 설정된 GCP 프로젝트
- GCS 버킷을 만들고 관리할 수 있는 권한
- GCS 버킷의 IAM 정책을 관리할 수 있는 권한
- Cloud Run 서비스, Pub/Sub 주제, Cloud Scheduler 작업을 만들 수 있는 권한
- API 액세스가 사용 설정된 활성 Intel 471 Titan 구독
- Intel 471 Titan 포털에 대한 액세스 권한
Google Cloud Storage 버킷 만들기
- Google Cloud 콘솔로 이동합니다.
- 프로젝트를 선택하거나 새 프로젝트를 만듭니다.
- 탐색 메뉴에서 Cloud Storage > 버킷으로 이동합니다.
- 버킷 만들기를 클릭합니다.
다음 구성 세부정보를 제공합니다.
설정 값 버킷 이름 지정 전역적으로 고유한 이름 (예: intel471-watcher-alerts-logs)을 입력합니다.위치 유형 필요에 따라 선택 (리전, 이중 리전, 멀티 리전) 위치 위치를 선택합니다 (예: us-central1).스토리지 클래스 표준 (자주 액세스하는 로그에 권장) 액세스 제어 균일 (권장) 보호 조치 선택사항: 객체 버전 관리 또는 보관 정책 사용 설정 만들기를 클릭합니다.
Intel 471 Titan API 사용자 인증 정보 수집
API 사용자 인증 정보 가져오기
- Intel 471 Titan 포털에 로그인합니다.
- 오른쪽 상단에서 사용자 프로필 아이콘을 클릭합니다.
- API 섹션으로 이동합니다.
- 페이지에 표시된 API 키를 복사하여 저장합니다.
- Intel 471 계정과 연결된 이메일 주소 (로그인에 사용한 이메일)를 확인합니다.
권한 확인
계정에 필요한 권한이 있는지 확인하려면 다음 단계를 따르세요.
- Intel 471 Titan 포털에 로그인합니다.
- 탐색 메뉴에서 감시자로 이동합니다.
- 기존 Watcher 구성과 알림을 볼 수 있다면 필요한 권한이 있는 것입니다.
- 이 섹션이 표시되지 않으면 Intel 471 관리자에게 문의하여 API 액세스 및 감시자 권한을 부여하세요.
API 액세스 테스트
통합을 진행하기 전에 사용자 인증 정보를 테스트합니다.
# Replace with your actual credentials INTEL471_EMAIL="your-email@example.com" INTEL471_API_KEY="your-api-key" # Test API access curl -v -u "${INTEL471_EMAIL}:${INTEL471_API_KEY}" \ "https://api.intel471.com/v1/alerts?count=1"
테스트가 성공하면 alerts 배열이 포함된 JSON 응답이 표시됩니다. 오류가 표시되는 경우:
- HTTP 401: 이메일과 API 키가 올바른지 확인
- HTTP 403: 계정에 Watcher 알림 권한이 있는지 확인합니다.
- HTTP 429: 비율 제한 초과, 기다린 후 다시 시도
Cloud Run 함수의 서비스 계정 만들기
Cloud Run 함수에는 GCS 버킷에 쓸 수 있고 Pub/Sub에 의해 호출될 수 있는 권한이 있는 서비스 계정이 필요합니다.
서비스 계정 만들기
- GCP 콘솔에서 IAM 및 관리자 > 서비스 계정으로 이동합니다.
- 서비스 계정 만들기를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 서비스 계정 이름:
intel471-alerts-collector-sa을 입력합니다. - 서비스 계정 설명:
Service account for Cloud Run function to collect Intel 471 Watcher Alerts logs를 입력합니다.
- 서비스 계정 이름:
- 만들고 계속하기를 클릭합니다.
- 이 서비스 계정에 프로젝트에 대한 액세스 권한 부여 섹션에서 다음 역할을 추가합니다.
- 역할 선택을 클릭합니다.
- 스토리지 객체 관리자를 검색하고 선택합니다.
- + 다른 역할 추가를 클릭합니다.
- Cloud Run 호출자를 검색하여 선택합니다.
- + 다른 역할 추가를 클릭합니다.
- Cloud Functions 호출자를 검색하여 선택합니다.
- 계속을 클릭합니다.
- 완료를 클릭합니다.
이러한 역할은 다음 작업에 필요합니다.
- 스토리지 객체 관리자: GCS 버킷에 로그를 쓰고 상태 파일을 관리합니다.
- Cloud Run 호출자: Pub/Sub에서 함수를 호출하도록 허용
- Cloud Functions 호출자: 함수 호출 허용
GCS 버킷에 대한 IAM 권한 부여
GCS 버킷에 대한 쓰기 권한을 서비스 계정에 부여합니다.
- Cloud Storage > 버킷으로 이동합니다.
- 버킷 이름 (예:
intel471-watcher-alerts-logs)을 클릭합니다. - 권한 탭으로 이동합니다.
- 액세스 권한 부여를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주 구성원 추가: 서비스 계정 이메일 (예:
intel471-alerts-collector-sa@PROJECT_ID.iam.gserviceaccount.com)을 입력합니다. - 역할 할당: 스토리지 객체 관리자를 선택합니다.
- 주 구성원 추가: 서비스 계정 이메일 (예:
- 저장을 클릭합니다.
Pub/Sub 주제 만들기
Cloud Scheduler가 게시하고 Cloud Run 함수가 구독할 Pub/Sub 주제를 만듭니다.
- GCP 콘솔에서 Pub/Sub> 주제로 이동합니다.
- 주제 만들기를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주제 ID:
intel471-alerts-trigger를 입력합니다. - 다른 설정은 기본값으로 둡니다.
- 주제 ID:
- 만들기를 클릭합니다.
로그를 수집하는 Cloud Run 함수 만들기
Cloud Run 함수는 Cloud Scheduler의 Pub/Sub 메시지에 의해 트리거되어 Intel 471 Titan API에서 Watcher Alerts를 가져오고 GCS에 씁니다.
- GCP 콘솔에서 Cloud Run으로 이동합니다.
- 서비스 만들기를 클릭합니다.
- 함수를 선택합니다 (인라인 편집기를 사용하여 함수 만들기).
구성 섹션에서 다음 구성 세부정보를 입력합니다.
설정 값 서비스 이름 intel471-alerts-collector리전 GCS 버킷과 일치하는 리전을 선택합니다 (예: us-central1).런타임 Python 3.12 이상 선택 트리거 (선택사항) 섹션에서 다음을 수행합니다.
- + 트리거 추가를 클릭합니다.
- Cloud Pub/Sub을 선택합니다.
- Cloud Pub/Sub 주제 선택에서 Pub/Sub 주제 (예:
intel471-alerts-trigger)를 선택합니다. - 저장을 클릭합니다.
인증 섹션에서 다음을 구성합니다.
- 인증 필요를 선택합니다.
- ID 및 액세스 관리 (IAM)를 확인합니다.
아래로 스크롤하고 컨테이너, 네트워킹, 보안을 펼칩니다.
보안 탭으로 이동합니다.
- 서비스 계정: 서비스 계정 (예:
intel471-alerts-collector-sa)을 선택합니다.
- 서비스 계정: 서비스 계정 (예:
컨테이너 탭으로 이동합니다.
- 변수 및 보안 비밀을 클릭합니다.
각 환경 변수에 대해 + 변수 추가를 클릭합니다.
변수 이름 예시 값 설명 GCS_BUCKETintel471-watcher-alerts-logsGCS 버킷 이름 GCS_PREFIXintel471-alerts로그 파일의 프리픽스 STATE_KEYintel471-alerts/state.json상태 파일 경로 INTEL471_EMAILyour-email@example.comIntel 471 계정 이메일 INTEL471_API_KEYyour-api-keyIntel 471 API 키 MAX_RECORDS1000실행당 최대 레코드 수 PAGE_SIZE100페이지당 레코드 (최대 100개) LOOKBACK_HOURS24초기 전환 확인 기간
변수 및 보안 비밀 섹션에서 요청까지 아래로 스크롤합니다.
- 요청 제한 시간:
600초 (10분)를 입력합니다.
- 요청 제한 시간:
설정 탭으로 이동합니다.
- 리소스 섹션에서 다음을 수행합니다.
- 메모리: 512MiB 이상을 선택합니다.
- CPU: 1을 선택합니다.
- 리소스 섹션에서 다음을 수행합니다.
버전 확장 섹션에서 다음을 수행합니다.
- 최소 인스턴스 수:
0를 입력합니다. - 최대 인스턴스 수:
100을 입력합니다 (또는 예상 부하에 따라 조정).
- 최소 인스턴스 수:
만들기를 클릭합니다.
서비스가 생성될 때까지 기다립니다 (1~2분). 서비스가 생성되면 인라인 코드 편집기가 자동으로 열립니다.
함수 코드 추가
- 진입점 필드에 main을 입력합니다.
인라인 코드 편집기에서 다음 두 파일을 만듭니다.
main.py:
import functions_framework from google.cloud import storage import json import os import urllib3 from datetime import datetime, timezone, timedelta import time import base64 # Initialize HTTP client with timeouts http = urllib3.PoolManager( timeout=urllib3.Timeout(connect=5.0, read=30.0), retries=False, ) # Initialize Storage client storage_client = storage.Client() # Environment variables GCS_BUCKET = os.environ.get('GCS_BUCKET') GCS_PREFIX = os.environ.get('GCS_PREFIX', 'intel471-alerts') STATE_KEY = os.environ.get('STATE_KEY', 'intel471-alerts/state.json') INTEL471_EMAIL = os.environ.get('INTEL471_EMAIL') INTEL471_API_KEY = os.environ.get('INTEL471_API_KEY') MAX_RECORDS = int(os.environ.get('MAX_RECORDS', '1000')) PAGE_SIZE = int(os.environ.get('PAGE_SIZE', '100')) LOOKBACK_HOURS = int(os.environ.get('LOOKBACK_HOURS', '24')) API_BASE = 'https://api.intel471.com/v1' def to_unix_millis(dt: datetime) -> int: """Convert datetime to Unix epoch milliseconds.""" if dt.tzinfo is None: dt = dt.replace(tzinfo=timezone.utc) dt = dt.astimezone(timezone.utc) return int(dt.timestamp() * 1000) def parse_datetime(value: str) -> datetime: """Parse ISO datetime string to datetime object.""" if value.endswith("Z"): value = value[:-1] + "+00:00" return datetime.fromisoformat(value) @functions_framework.cloud_event def main(cloud_event): """ Cloud Run function triggered by Pub/Sub to fetch Intel 471 Watcher Alerts and write to GCS. Args: cloud_event: CloudEvent object containing Pub/Sub message """ if not all([GCS_BUCKET, INTEL471_EMAIL, INTEL471_API_KEY]): print('Error: Missing required environment variables') return try: # Get GCS bucket bucket = storage_client.bucket(GCS_BUCKET) # Load state state = load_state(bucket, STATE_KEY) # Determine time window now = datetime.now(timezone.utc) last_time = None if isinstance(state, dict) and state.get("last_event_time"): try: last_time = parse_datetime(state["last_event_time"]) # Overlap by 2 minutes to catch any delayed events last_time = last_time - timedelta(minutes=2) except Exception as e: print(f"Warning: Could not parse last_event_time: {e}") if last_time is None: last_time = now - timedelta(hours=LOOKBACK_HOURS) print(f"Fetching alerts from {last_time.isoformat()} to {now.isoformat()}") # Convert to Unix milliseconds for Titan API start_millis = to_unix_millis(last_time) end_millis = to_unix_millis(now) # Fetch alerts records, newest_event_time = fetch_alerts( email=INTEL471_EMAIL, api_key=INTEL471_API_KEY, start_millis=start_millis, end_millis=end_millis, page_size=PAGE_SIZE, max_records=MAX_RECORDS, ) if not records: print("No new alert records found.") save_state(bucket, STATE_KEY, now.isoformat()) return # Write to GCS as NDJSON timestamp = now.strftime('%Y%m%d_%H%M%S') object_key = f"{GCS_PREFIX}/alerts_{timestamp}.ndjson" blob = bucket.blob(object_key) ndjson = '\n'.join([json.dumps(record, ensure_ascii=False) for record in records]) + '\n' blob.upload_from_string(ndjson, content_type='application/x-ndjson') print(f"Wrote {len(records)} records to gs://{GCS_BUCKET}/{object_key}") # Update state with newest event time if newest_event_time: save_state(bucket, STATE_KEY, newest_event_time) else: save_state(bucket, STATE_KEY, now.isoformat()) print(f"Successfully processed {len(records)} records") except Exception as e: print(f'Error processing alerts: {str(e)}') raise def load_state(bucket, key): """Load state from GCS.""" try: blob = bucket.blob(key) if blob.exists(): state_data = blob.download_as_text() return json.loads(state_data) except Exception as e: print(f"Warning: Could not load state: {e}") return {} def save_state(bucket, key, last_event_time_iso: str): """Save the last event timestamp to GCS state file.""" try: state = {'last_event_time': last_event_time_iso} blob = bucket.blob(key) blob.upload_from_string( json.dumps(state, indent=2), content_type='application/json' ) print(f"Saved state: last_event_time={last_event_time_iso}") except Exception as e: print(f"Warning: Could not save state: {e}") def fetch_alerts(email: str, api_key: str, start_millis: int, end_millis: int, page_size: int, max_records: int): """ Fetch Watcher Alerts from Intel 471 Titan API with pagination and rate limiting. Args: email: Intel 471 account email api_key: Intel 471 API key start_millis: Start time in Unix epoch milliseconds end_millis: End time in Unix epoch milliseconds page_size: Number of records per page (max 100) max_records: Maximum total records to fetch Returns: Tuple of (records list, newest_event_time ISO string) """ endpoint = f"{API_BASE}/alerts" # Build Basic Auth header auth_string = f"{email}:{api_key}" auth_bytes = auth_string.encode('utf-8') auth_b64 = base64.b64encode(auth_bytes).decode('utf-8') headers = { 'Authorization': f'Basic {auth_b64}', 'Accept': 'application/json', 'User-Agent': 'GoogleSecOps-Intel471Collector/1.0' } records = [] newest_time = None page_num = 0 backoff = 1.0 offset = 0 while True: page_num += 1 if len(records) >= max_records: print(f"Reached max_records limit ({max_records})") break # Build request URL with pagination and time filtering current_page_size = min(page_size, max_records - len(records)) params = [] params.append(f"count={current_page_size}") params.append(f"offset={offset}") params.append(f"from={start_millis}") params.append(f"until={end_millis}") url = f"{endpoint}?{'&'.join(params)}" try: response = http.request('GET', url, headers=headers) # Handle rate limiting with exponential backoff if response.status == 429: retry_after = int(response.headers.get('Retry-After', str(int(backoff)))) print(f"Rate limited (429). Retrying after {retry_after}s...") time.sleep(retry_after) backoff = min(backoff * 2, 60.0) continue backoff = 1.0 if response.status != 200: print(f"HTTP Error: {response.status}") response_text = response.data.decode('utf-8') print(f"Response body: {response_text}") return [], None data = json.loads(response.data.decode('utf-8')) # Extract results from alerts page_results = data.get('alerts', []) if not page_results: print(f"No more results (empty page)") break print(f"Page {page_num}: Retrieved {len(page_results)} alerts") records.extend(page_results) # Track newest event time using foundTime (Unix milliseconds) for alert in page_results: try: found_time_ms = alert.get('foundTime') if found_time_ms: event_dt = datetime.fromtimestamp(found_time_ms / 1000, tz=timezone.utc) event_time = event_dt.isoformat() if newest_time is None or parse_datetime(event_time) > parse_datetime(newest_time): newest_time = event_time except Exception as e: print(f"Warning: Could not parse event time: {e}") # Check for more results alert_total = data.get('alertTotalCount', 0) if len(records) >= alert_total: print(f"Retrieved all available alerts ({alert_total} total)") break if len(page_results) < current_page_size: print(f"Reached last page (size={len(page_results)} < limit={current_page_size})") break offset += len(page_results) except Exception as e: print(f"Error fetching alerts: {e}") return [], None print(f"Retrieved {len(records)} total records from {page_num} pages") return records, newest_timerequirements.txt:
functions-framework==3.* google-cloud-storage==2.* urllib3>=2.0.0
배포를 클릭하여 함수를 저장하고 배포합니다.
배포가 완료될 때까지 기다립니다 (2~3분).
Cloud Scheduler 작업 만들기
Cloud Scheduler는 일정 간격으로 Pub/Sub 주제에 메시지를 게시하여 Cloud Run 함수를 트리거합니다.
- GCP Console에서 Cloud Scheduler로 이동합니다.
- 작업 만들기를 클릭합니다.
다음 구성 세부정보를 제공합니다.
설정 값 이름 intel471-alerts-collector-hourly리전 Cloud Run 함수와 동일한 리전 선택 주파수 0 * * * *(매시간 정각)시간대 시간대 선택 (UTC 권장) 타겟 유형 Pub/Sub 주제 Pub/Sub 주제 (예: intel471-alerts-trigger)를 선택합니다.메일 본문 {}(빈 JSON 객체)만들기를 클릭합니다.
일정 빈도 옵션
알림 볼륨 및 지연 시간 요구사항에 따라 빈도를 선택합니다.
| 빈도 | 크론 표현식 | 사용 사례 |
|---|---|---|
| 5분마다 | */5 * * * * |
대용량, 짧은 지연 시간 |
| 15분마다 | */15 * * * * |
검색량 보통 |
| 1시간마다 | 0 * * * * |
표준 (권장) |
| 6시간마다 | 0 */6 * * * |
소량, 일괄 처리 |
| 매일 | 0 0 * * * |
이전 데이터 수집 |
통합 테스트
- Cloud Scheduler 콘솔에서 작업 (예:
intel471-alerts-collector-hourly)을 찾습니다. - 강제 실행을 클릭하여 작업을 수동으로 트리거합니다.
- 몇 초 동안 기다립니다.
- Cloud Run > 서비스로 이동합니다.
- 함수 이름 (예:
intel471-alerts-collector)을 클릭합니다. - 로그 탭을 클릭합니다.
함수가 성공적으로 실행되었는지 확인합니다. 다음 항목을 찾습니다.
Fetching alerts from YYYY-MM-DDTHH:MM:SS+00:00 to YYYY-MM-DDTHH:MM:SS+00:00 Page 1: Retrieved X alerts Wrote X records to gs://bucket-name/intel471-alerts/alerts_YYYYMMDD_HHMMSS.ndjson Successfully processed X recordsCloud Storage> 버킷으로 이동합니다.
버킷 이름 (예:
intel471-watcher-alerts-logs)을 클릭합니다.접두사 폴더 (예:
intel471-alerts/)로 이동합니다.현재 타임스탬프로 새
.ndjson파일이 생성되었는지 확인합니다.
로그에 오류가 표시되는 경우:
- HTTP 401: 환경 변수에서 Intel 471 이메일 및 API 키 확인
- HTTP 403: 계정에 Watcher 알림 권한이 있는지 확인
- HTTP 429: 비율 제한 - 함수가 백오프로 자동 재시도됨
- 환경 변수 누락: 모든 필수 변수가 설정되어 있는지 확인합니다.
Google SecOps 서비스 계정 가져오기
Google SecOps는 고유한 서비스 계정을 사용하여 GCS 버킷에서 데이터를 읽습니다. 이 서비스 계정에 버킷 액세스 권한을 부여해야 합니다.
서비스 계정 이메일 가져오기
- SIEM 설정 > 피드로 이동합니다.
- 새 피드 추가를 클릭합니다.
- 단일 피드 구성을 클릭합니다.
- 피드 이름 필드에 피드 이름을 입력합니다(예:
Intel 471 Watcher Alerts). - 소스 유형으로 Google Cloud Storage V2를 선택합니다.
- 로그 유형으로 Intel 471 Watcher Alerts를 선택합니다.
서비스 계정 가져오기를 클릭합니다. 고유한 서비스 계정 이메일이 표시됩니다. 예를 들면 다음과 같습니다.
secops-12345678@secops-gcp-prod.iam.gserviceaccount.com다음 단계에서 사용할 수 있도록 이 이메일 주소를 복사합니다.
다음을 클릭합니다.
다음 입력 매개변수의 값을 지정합니다.
스토리지 버킷 URL: 다음 접두사 경로를 사용하여 GCS 버킷 URI를 입력합니다.
gs://intel471-watcher-alerts-logs/intel471-alerts/다음과 같이 바꿉니다.
intel471-watcher-alerts-logs: GCS 버킷 이름입니다.intel471-alerts: 알림 로그가 저장되는 접두사/폴더 경로입니다.
소스 삭제 옵션: 환경설정에 따라 삭제 옵션을 선택합니다.
- 삭제 안함: 전송 후 파일을 삭제하지 않습니다 (테스트에 권장).
- 전송된 파일 삭제: 전송이 완료된 후 파일을 삭제합니다.
- 전송된 파일 및 빈 디렉터리 삭제: 전송이 완료되면 파일과 빈 디렉터리를 삭제합니다.
최대 파일 기간: 지난 일수 동안 수정된 파일을 포함합니다 (기본값은 180일).
애셋 네임스페이스: 애셋 네임스페이스
수집 라벨: 이 피드의 이벤트에 적용할 라벨
다음을 클릭합니다.
확정 화면에서 새 피드 구성을 검토한 다음 제출을 클릭합니다.
Google SecOps 서비스 계정에 IAM 권한 부여
Google SecOps 서비스 계정에는 GCS 버킷에 대한 스토리지 객체 뷰어 역할이 필요합니다.
- Cloud Storage> 버킷으로 이동합니다.
- 버킷 이름 (예:
intel471-watcher-alerts-logs)을 클릭합니다. - 권한 탭으로 이동합니다.
- 액세스 권한 부여를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주 구성원 추가: Google SecOps 서비스 계정 이메일을 붙여넣습니다.
- 역할 할당: 스토리지 객체 뷰어를 선택합니다.
- 저장을 클릭합니다.
UDM 매핑 테이블
| 로그 필드 | UDM 매핑 | 로직 |
|---|---|---|
| post.links.forum.uid | additional.fields | 표준 UDM 필드에 포함되지 않은 추가 메타데이터 필드 |
| post.links.forum.name | additional.fields | |
| post.links.thread.uid | additional.fields | |
| post.links.thread.topic | additional.fields | |
| post.links.thread.count | additional.fields | |
| post.uid | additional.fields | |
| post.message | additional.fields | |
| highlight.field | additional.fields | |
| chunk.text | additional.fields | |
| chunk.hl | additional.fields | |
| actor.links.forumTotalCount | additional.fields | |
| actor.links.forumPrivateMessageTotalCount | additional.fields | |
| actor.links.instantMessageChannelTotalCount | additional.fields | |
| actor.links.reportTotalCount | additional.fields | |
| actor.links.instantMessageTotalCount | additional.fields | |
| actor.links.instantMessageServerTotalCount | additional.fields | |
| actor.links.forumPostTotalCount | additional.fields | |
| actor.lastUpdated | additional.fields | |
| actor.activeFrom | additional.fields | |
| actor.activeUntil | additional.fields | |
| data_leak_post.chunk_number | additional.fields | |
| data_leak_post.links.blog.uid | additional.fields | |
| data_leak_post.links.blog.name | additional.fields | |
| data_leak_post.links.thread.uid | additional.fields | |
| data_leak_post.links.thread.topic | additional.fields | |
| data_leak_post.links.thread.count | additional.fields | |
| data_leak_post.message | additional.fields | |
| actor.links.reports[].uid | additional.fields | |
| actor.links.reports[].admiraltyCode | additional.fields | |
| actor.links.reports[].dateOfInformation | additional.fields | |
| 상태 | additional.fields | |
| watcherUid | additional.fields | |
| watcherGroupUid | additional.fields | |
| report.uid | additional.fields | |
| report.admiraltyCode | additional.fields | |
| foundTime | additional.fields | |
| instantMessage.data.message.text | additional.fields | |
| instantMessage.data.message.uid | additional.fields | |
| instantMessage.data.channel.name | additional.fields | |
| instantMessage.data.channel.uid | additional.fields | |
| instantMessage.data.channel.url | additional.fields | |
| instantMessage.data.channel.registration_date | additional.fields | |
| instantMessage.data.channel.topic | additional.fields | |
| instantMessage.data.server.uid | additional.fields | |
| instantMessage.data.server.service_type | additional.fields | |
| post.links.forum.description | metadata.description | 이벤트 또는 항목에 대한 설명 |
| actor.links.reports[].subject | metadata.description | |
| report.subject | metadata.description | |
| report.released | metadata.event_timestamp | 이벤트의 타임스탬프 |
| metadata.event_type | metadata.event_type | 이벤트 유형 (예: USER_LOGIN, NETWORK_CONNECTION) |
| uid | metadata.product_log_id | 제품의 로그 ID |
| data_leak_post.file_listing.download_url | principal.url | 주 구성원과 연결된 URL |
| actor.links.reports[].portalReportUrl | principal.url | |
| report.portalReportUrl | principal.url | |
| post.links.authorActor.handle | principal.user.attribute.labels | 사용자 속성 |
| actor.links.reports[].actorHandle | principal.user.attribute.labels | |
| instantMessage.data.actor.handle | principal.user.attribute.labels | |
| post.links.authorActor.uid | principal.user.userid | 사용자 ID |
| actor.uid | principal.user.userid | |
| data_leak_post.uid | principal.user.userid | |
| instantMessage.data.actor.uid | principal.user.userid | |
report.uid |
event.idm.read_only_udm.metadata.additional.fields |
변경 로그에서 매핑됨 |
report.admiraltyCode |
event.idm.read_only_udm.metadata.additional.fields |
변경 로그에서 매핑됨 |
report.subject |
event.idm.read_only_udm.metadata.description |
변경 로그에서 매핑됨 |
report.portalReportUrl |
event.idm.read_only_udm.principal.url |
변경 로그에서 매핑됨 |
report.released |
event.idm.read_only_udm.metadata.event_timestamp |
변경 로그에서 매핑됨 |
post.links.forum.description" and "actor.links.reports.subject |
metadata.description |
변경 로그에서 매핑됨 |
post.links.authorActor.uid", "data_leak_post.uid" and "actor.uid |
principal.user.userid |
변경 로그에서 매핑됨 |
post.links.authorActor.handle" and "actor.links.reports.actorHandle |
principal.user.attribute.labels |
변경 로그에서 매핑됨 |
data_leak_post.file_listing.download_url" and "actor.links.reports.portalReportUrl |
principal.url |
변경 로그에서 매핑됨 |
post.links.forum.uid", "post.links.forum.name", "post.links.thread.uid", "post.links.thread.topic", "post.links.thread.count", "post.uid", "post.message", "highlights.field", "highlights.chunks.text", "highlights.chunks.hl", "actor.links.forumTotalCount", "actor.links.forumPrivateMessageTotalCount", "actor.links.instantMessageChannelTotalCount", "actor.links.reportTotalCount", "actor.links.instantMessageTotalCount", "actor.links.instantMessageServerTotalCount", "actor.links.forumPostTotalCount", "actor.lastUpdated", "actor.activeFrom", "actor.activeUntil", "data_leak_post.chunk_number", "data_leak_post.links.blog.uid", "data_leak_post.links.blog.name", "data_leak_post.links.thread.uid", "data_leak_post.links.thread.topic", "data_leak_post.links.thread.count", "data_leak_post.message", "actor.links.reports.uid", "actor.links.reports.admiraltyCode", "actor.links.reports.dateOfInformation |
additional.fields |
변경 로그에서 매핑됨 |
변경 로그
도움이 더 필요하신가요? 커뮤니티 회원 및 Google SecOps 전문가에게 문의하여 답변을 받으세요.